Welcome, Guest. Please login or register.

Author Topic: Initialize NeDi database failed  (Read 68 times)

jbruyet

  • Newbie
  • *
  • Posts: 13
    • View Profile
Initialize NeDi database failed
« on: October 03, 2017, 08:29:23 PM »
I'm following the installation instructions and made it to the database initialization. I ran the nedi.pl -i command and here's the error:

Code: [Select]
Can't locate DBI.pm in @INC (you may need to install the DBI module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base .) at ./inc/libdb.pm line 17.
BEGIN failed--compilation aborted at ./inc/libdb.pm line 17.
Compilation failed in require at ./nedi.pl line 69.

I posted an earlier problem regarding the available versions of PHP in Ubuntu -- the installation instructions say to use php5 but Ubuntu only has php and php7.0. I decided to go ahead with this install in the hope that by using the 7.0 PHP and the 7.0 PHP mysql they would work with each other. Is this error related to that issue or is this something else?

Thanks,

Joe B

jbruyet

  • Newbie
  • *
  • Posts: 13
    • View Profile
Re: Initialize NeDi database failed
« Reply #1 on: October 03, 2017, 09:24:13 PM »
I found and installed libapache2-mod-log-sql-dbi but still no joy -- when I run nedi.pl -i I get the same error.

Thanks,

Joe B